aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-x.ci/after_success.sh6
1 files changed, 2 insertions, 4 deletions
diff --git a/.ci/after_success.sh b/.ci/after_success.sh
index 580b988061..0215eb139b 100755
--- a/.ci/after_success.sh
+++ b/.ci/after_success.sh
@@ -3,8 +3,6 @@
set -e
set -o pipefail
-if [[ -n "${CI_TARGET}" ]]; then
- exit
+if [[ -n "${GCOV}" ]]; then
+ coveralls --gcov "$(which "${GCOV}")" --encoding iso-8859-1 || echo 'coveralls upload failed.'
fi
-
-[ "$USE_GCOV" = on ] && { coveralls --gcov "$(which "${GCOV}")" --encoding iso-8859-1 || echo 'coveralls upload failed.' ; }